List custom OAuth providers

Retrieves all custom OAuth providers configured for the Tenant.

GET
/v2/manage/custom-providers/oauth

Retrieves all custom OAuth providers configured for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/custom-providers/oauth"
{
  "Data": [
    {
      "IsActive": true,
      "CreatedAt": "2023-10-01T12:00:00Z",
      "LastModified": "2023-10-01T12:00:00Z",
      "QueryParam": {
        "property1": "exampleValue",
        "property2": "exampleValue"
      },
      "Headers": {
        "Authorization": "Bearer token"
      },
      "DataMap": {
        "property1": "string",
        "property2": "string"
      },
      "ProviderName": "ExampleProvider",
      "ApplicationID": "1234567890",
      "ApplicationKey": "abcdefghijklmnop",
      "ApplicationSecret": "secret123",
      "Scope": "read write",
      "ResponseType": "code",
      "UserLoginEndpoint": "https://example.com/oauth2/login",
      "ExtraParameterInRedirectToProvider": "extra_param=value",
      "AccessTokenEndpoint": "https://example.com/oauth2/token",
      "RequestTokenHttpMethod": "POST",
      "AccessTokenParameterNameForApiAccess": "access_token",
      "UserprofileEndpoint": "https://example.com/oauth2/userinfo",
      "Domain": "example.com",
      "EnableAutoLookUp": true,
      "ListInInterface": true
    }
  ]
}
{
  "Message": "Error unmarshalling data",
  "Description": "Error unmarshalling data, Please provide valid data.",
  "ErrorCode": 8081
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Custom OAuth configuration not found",
  "Description": "Custom OAuth provider is not configured or the resource does not exist.",
  "ErrorCode": 7936
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}